/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/

package com.jxl.cairngorm
{
	import com.adobe.cairngorm.business.ServiceLocator;
	import mx.rpc.IResponder;
	
	public class JXLDelegate implements mx.rpc.IResponder
	{
		
		protected var responder:IResponder;
		protected var service:Object;
		
		public function JXLDelegate(p_responder:IResponder)
		{
			service = ServiceLocator.getInstance();
			responder = p_responder;
		}
		
		public function result(p_result:Object):void
		{
			responder.result(p_result);
		}
		
		public function fault(p_fault:Object):void
		{
			responder.fault(p_fault);
		}
		
	}
}