/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/


package com.jxl.downloads.business
{
	import com.adobe.cairngorm.business.ServiceLocator;
	import mx.rpc.AsyncToken;
	
	import mx.rpc.events.ResultEvent;
	import mx.rpc.events.FaultEvent;
	import mx.rpc.Fault;
	import mx.rpc.Responder;
	import com.renaun.rpc.RemoteObjectAMF0;
	import com.jxl.downloads.vo.AMFPHPTransferObject;
	import com.jxl.downloads.factories.DownloadFactory;
	import mx.collections.ArrayCollection;
	import mx.rpc.IResponder;
	import com.jxl.cairngorm.JXLDelegate;
	import com.jxl.downloads.vo.DownloadVO;
	
	public class DownloadsDelegate extends JXLDelegate
	{
		
		public function DownloadsDelegate(p_responder:IResponder)
		{
			super(p_responder);
		}
		
		public function getDownloads():void
		{
			DebugWindow.debugHeader();
			DebugWindow.debug("DownloadsDelegate::getDownloads");
			
		//	var downloads_ro:RemoteObjectAMF0 = service.getService("downloads_ro") as RemoteObjectAMF0;
			//var r:AsyncToken = downloads_ro.readDownloads();
			//r.addResponder(new mx.rpc.Responder(onReadDownloads_Result, onReadDownloads_Fault));
			
			onReadDownloads_Result(new ResultEvent(ResultEvent.RESULT, false, true, true));
		}
		
		protected function onReadDownloads_Result(p_event:ResultEvent):void
		{
			DebugWindow.debugHeader();
			DebugWindow.debug("DownloadsDelegate::onReadDownloads_Result: " + p_event + ", result: " + p_event.result);
			//var o:Object = p_event.result.serverInfo;
			//var amfphpTO:AMFPHPTransferObject = new AMFPHPTransferObject(o.initialData,
																			//o.version,
																			//o.columnNames,
																			//o.totalCount,
																			//o.serviceName,
																			//o.cursor,
																			//o.id);
																			
			//var downloads_ac:ArrayCollection = DownloadFactory.getDownloads(amfphpTO);
			
			// hard-coded for dizz-nemo; ...hey, dude, I found Nemo!  He's at the end of dizz.
			// You know "Dizz" right?  The hottie-mo-hottie in Star Ship Troopers.  Man,
			// that chick was smokin'... although, curious to see she now apparently
			// is hanging out with a short-fined Sunfish from Oz who doesn't sound ozzie...
			var downloads_ac:ArrayCollection = new ArrayCollection();
			downloads_ac.addItem(new DownloadVO("1",
												"Flash",
												"Downoads",
												"JSFL Test Panel"));
			downloads_ac.addItem(new DownloadVO("1",
												"Flex",
												"Downoads",
												"TODO Panel"));
			downloads_ac.addItem(new DownloadVO("1",
												"Flash",
												"Downoads",
												"Library Helpers"));
			
			result(new ResultEvent(p_event.type, 
										p_event.bubbles, 
										p_event.cancelable, 
										downloads_ac));
		}
		
		protected function onReadDownloads_Fault(p_event:FaultEvent):void
		{
			DebugWindow.debugHeader();
			DebugWindow.debug("DownloadsDelegate::onReadDownloads_Fault: " + p_event);
			fault(p_event);
		}
	
		
	}
}