/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/


package com.jxl.downloads.business
{
	import mx.rpc.AsyncToken;
	
	import mx.rpc.events.ResultEvent;
	import mx.rpc.events.FaultEvent;
	import mx.rpc.Fault;
	import com.renaun.rpc.RemoteObjectAMF0;
	import com.jxl.cairngorm.JXLDelegate;
	import mx.rpc.IResponder;
	
	public class LoginDelegate extends JXLDelegate
	{
		
		public function LoginDelegate(p_responder:IResponder)
		{
			super(p_responder);
		}
		
		public function login(p_username:String, p_password:String):void
		{
			DebugWindow.debugHeader();
			DebugWindow.debug("LoginDelegate::login");
			
			//var downloads_ro:RemoteObjectAMF0 = service.getService("downloads_ro") as RemoteObjectAMF0;
			//downloads_ro.ping();
			//downloads_ro.gateway_conn.addHeader("Credentials", 
												//false, 
												//{userid: p_username, 
												//password: p_password});
			//var r:AsyncToken = downloads_ro.doLogin();
			//r.addResponder(new mx.rpc.Responder(onLogin_Result, onLogin_Fault));
			
			// hard-coded for dizz-nemo
			onLogin_Result(new ResultEvent(ResultEvent.RESULT, false, true, true));
		}
		
		protected function onLogin_Result(p_event:ResultEvent):void
		{
			DebugWindow.debugHeader();
			DebugWindow.debug("LoginDelegate::onLogin_Result: " + p_event + ", result: " + p_event.result);
			
			result(new ResultEvent(ResultEvent.RESULT, true, true, true));
		}
		
		protected function onLogin_Fault(p_event:FaultEvent):void
		{
			DebugWindow.debugHeader();
			DebugWindow.debug("LoginDelegate::onLogin_Result: " + p_event);
			fault(new FaultEvent(FaultEvent.FAULT, true, true, new Fault("fault", "fault", "fault")));
		}
	
		
	}
}