/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/
package com.jxl.downloads.controller
{
	import com.adobe.cairngorm.control.FrontController;
	
	import com.jxl.downloads.events.LoginEvent;
	import com.jxl.downloads.events.DownloadsEvent;
	
	import com.jxl.downloads.commands.LoginCommand;
	import com.jxl.downloads.commands.DownloadsCommand;
	
	
	
	public class Controller extends FrontController
	{
		public function Controller()
		{
			addCommands();
		}
		
		protected function addCommands():void
		{
			addCommand(LoginEvent.LOGIN, LoginCommand);
			addCommand(DownloadsEvent.GET_DOWNLOADS, DownloadsCommand);
			
			
		}
		
	}
	
}