/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/
package com.jxl.downloads.views
{
	import mx.core.UIComponent;
	import com.jxl.downloads.views.GoButtonSymbol;
	import com.jxl.downloads.views.Heading;

	public class GoButton extends UIComponent
	{
		
		protected var __label:String = "GO";
		protected var __labelDirty:Boolean = false;
		
		protected var __gb:GoButtonSymbol;
		protected var __lbl:Heading;
		
		public function get label():String { return __label; }
		public function set label(p_val:String):void
		{
			__label = p_val;
			__labelDirty = true;
			invalidateProperties();
		}
		
		public function GoButton()
		{
			super();
			
			width = height = 27;
		}
		
		protected override function createChildren():void
		{
			super.createChildren();
			
			if(__gb == null)
			{
				__gb = new GoButtonSymbol();
				addChild(__gb);
			}
			
			if(__lbl == null)
			{
				__lbl = new Heading();
				__lbl.text = __label;
				__lbl.width = __lbl.height = 20;
				__lbl.move(5, 5);
				addChild(__lbl);
			}
		}
		
		protected override function commitProperties():void
		{
			super.commitProperties();
			
			if(__labelDirty == true)
			{
				__labelDirty = false;
				__lbl.text = __label;
			}
			
		}
		
		
	}
}