/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/

package com.jxl.downloads.vo
{

	public class AMFPHPTransferObject
	{
		
		public var initialData:Array;
		public var version:Number;
		public var columnNames:Array;
		public var totalCount:Number;
		public var serviceName:String;
		public var cursor:Number;
		public var id:Number;
				
		public function AMFPHPTransferObject(p_initialData:Array,
												p_version:Number,
												p_columnNames:Array,
												p_totalCount:Number,
												p_serviceName:String,
												p_cursor:Number,
												p_id:Number)
		{
			//DebugWindow.debugHeader();
			//DebugWindow.debug("AMFPHPTransferObject::constructor");
			//DebugWindow.debug("p_initialData: " + p_initialData);
			//DebugWindow.debug("p_version: " + p_version);
			//DebugWindow.debug("p_columnNames: " + p_columnNames);
			//DebugWindow.debug("p_totalCount: " + p_totalCount);
			//DebugWindow.debug("p_serviceName: " + p_serviceName);
			//DebugWindow.debug("p_cursor: " + p_cursor);
			//DebugWindow.debug("p_id: " + p_id);
			initialData				= p_initialData;
			version					= p_version;
			columnNames				= p_columnNames;
			totalCount				= p_totalCount;
			serviceName				= p_serviceName;
			cursor					= p_cursor;
			id						= p_id;
		}
		
	}
}