/*

	Transition code ganked from Senocular
	http://www.senocular.com/flash/source.php?id=0.189

	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/

package com.jxl.effects
{
	
	import mx.effects.TweenEffect;
	//import mx.effects.IEffectInstance; // for Flex 2.0.1
	import mx.effects.EffectInstance;
	import mx.effects.Resize
	import com.jxl.effects.PixelateInstance;
	import mx.effects.EffectInstance;
	
	public class Pixelate extends TweenEffect
	{
		
		public var pixelSizeFrom:Number = 1;
		public var pixelSizeTo:Number = 80;
		
		public function Pixelate(target:Object = null)
		{
			super(target);
			instanceClass = PixelateInstance;
		}
		
		public override function getAffectedProperties():Array
		{
			return [];
		}
		
		protected override function initInstance(instance:EffectInstance):void
		{
			super.initInstance(instance);
			PixelateInstance(instance).pixelSizeFrom = pixelSizeFrom;
			PixelateInstance(instance).pixelSizeTo = pixelSizeTo;
		}
		
	}
}




