/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/

package com.jxl.downloads.callbacks
{
	import com.jxl.cairngorm.JXLCallback;
	
	public class DownloadsCallback extends JXLCallback
	{
		
		public static const RESULT:String = "com.jxl.downloads.callbacks.DownloadsCallback.result";
		
		public var length:Number;
		
		public function DownloadsCallback(p_length:Number)
		{
			super(RESULT, false, true);
			
			length = p_length;
		}
		
		public override function toString():String
		{
			return "[class DownloadsCallback length=" + length + "]";
		}
	}
}