/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/
package com.jxl.downloads.events
{
	import com.jxl.cairngorm.JXLEvent;
	
	public class LoginEvent extends JXLEvent
	{
		
		public static const LOGIN:String 			= "com.jxl.downloads.events.LoginEvent.login";
		
		public var username:String;
		public var password:String;
		
		public function LoginEvent(type:String, p_result:Function=null, p_fault:Function=null)
		{
			super(type, p_result, p_fault);
		}
		
		public override function toString():String
		{
			return "[class LoginEvent]";
		}
	}
}