﻿/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/
package com.jxl.downloads.views
{
	import flash.display.MovieClip;
	import flash.text.TextField;
	import flash.events.Event;

	[Embed(source="../../../../assets/flash/preloader.swf", symbol="com.jxl.downloads.views.JXLDownloadsPreloaderSymbol")]
	public class JXLDownloadsPreloaderSymbol extends MovieClip
	{
		
		public static const DONE_FADING:String = "com.jxl.downloads.views.JXLDownloadsPreloaderSymbol.doneFading";
		
		public var __myPreloader:MovieClip;
		
		public function JXLDownloadsPreloaderSymbol()
		{
			super();
			this.gotoAndStop(1);
			__myPreloader.gotoAndStop(1);
		}
		
		public function setAmount(p_val:uint):void
		{
			__myPreloader.gotoAndStop(p_val);
		}
		
		public function setAmountText(p_str:String):void
		{
			__myPreloader.amount_txt.text = p_str;
		}
		
		public function transitionOut():void
		{
			this.gotoAndPlay("fade_out");
			addEventListener(Event.ENTER_FRAME, onEnterFrame);
		}
		
		protected function onEnterFrame(p_event:Event):void
		{
			if(this.currentFrame == 6)
			{
				this.stop();
				removeEventListener(Event.ENTER_FRAME, onEnterFrame);
				dispatchEvent(new Event(DONE_FADING));
			}
		}
		
	}
}