/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/
package com.jxl.downloads.views
{
	import mx.core.UIComponent;
	
	import com.jxl.downloads.views.PanelTitleSymbol;

	public class PanelTitle extends UIComponent
	{
		
		protected var __text:String = "";
		protected var __textDirty:Boolean = false;
		
		protected var __pt:PanelTitleSymbol;
		
		[Bindable]
		public function get text():String { return __text; }
		public function set text(p_val:String):void
		{
			__text = p_val;
			__textDirty = true;
			invalidateProperties();
		}
		
		public function PanelTitle()
		{
			super();
			
			width = 163;
			height = 28;
		}
		
		protected override function createChildren():void
		{
			super.createChildren();
			
			if(__pt == null)
			{
				__pt = new PanelTitleSymbol();
				addChild(__pt);
			}
		}
		
		protected override function commitProperties():void
		{
			super.commitProperties();
			
			if(__textDirty == true)
			{
				__textDirty = false;
				__pt.setText(__text);
			}
		}
		
	}
}