﻿/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/
package com.jxl.downloads.views
{
	import flash.display.MovieClip;
	import flash.events.Event;
	
	[Embed(source="../../../../assets/flash/Skies.swf", symbol="com.jxl.downloads.views.SkiesSymbol")]
	public class SkiesSymbol extends MovieClip
	{
		
		public static const DONE_HIDDEN:String 			= "com.jxl.downloads.views.SkiesSymbol.doneHidden";
		public static const DONE_FADE_OUT:String 		= "com.jxl.downloads.views.SkiesSymbol.doneFadeOut";
		public static const DONE_FADE_IN:String 		= "com.jxl.downloads.views.SkiesSymbol.doneFadeIn";
		public static const DONE_MAIN:String 			= "com.jxl.downloads.views.SkiesSymbol.doneMain";
		
		public function SkiesSymbol()
		{
			super();
			gotoAndStop("hidden");
		}
		
		public function hidden():void
		{
			removeAllEvents();
			gotoAndStop("hidden");
			dispatchEvent(new Event(DONE_HIDDEN));
		}
		
		public function showMain():void
		{
			removeAllEvents();
			gotoAndStop("main");
			dispatchEvent(new Event(DONE_MAIN));
		}
		
		public function fadeIn():void
		{
			removeAllEvents();
			gotoAndPlay("fade_in");
			addEventListener(Event.ENTER_FRAME, onFadeInPlaying);
		}
		
		protected function onFadeInPlaying(p_event:Event):void
		{
			if(currentLabel == "fade_in_done")
			{
				gotoAndStop("main");
				removeAllEvents();
				dispatchEvent(new Event(DONE_FADE_IN));
			}
		}
		
		public function fadeOut():void
		{
			removeAllEvents();
			gotoAndPlay("fade_out");
			addEventListener(Event.ENTER_FRAME, onFadeOutPlaying);
		}
		
		protected function onFadeOutPlaying(p_event:Event):void
		{
			if(currentLabel == "fade_out_done")
			{
				gotoAndStop("hidden");
				removeAllEvents();
				dispatchEvent(new Event(DONE_FADE_OUT));
			}
		}
		
		protected function removeAllEvents():void
		{
			removeEventListener(Event.ENTER_FRAME, onFadeInPlaying);
			removeEventListener(Event.ENTER_FRAME, onFadeOutPlaying);
		}
		
	}
}