/*
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	http://www.universalmind.com
	
	This is release under a Creative Commons license. 
    More information can be found here:
    
    http://creativecommons.org/licenses/by/2.5/
*/

package com.jxl.downloads.vo
{
	//[RemoteClass(alias="DownloadVO")]
	
	[Bindable]
	public class DownloadVO
	{
		private var __id:String;
		public var category:String;
		public var section:String;
		public var title:String;
		public var description:String;
		public var fileTitle:String;
		public var fileURL:String;
		public var mxpTitle:String;
		public var mxpURL:String;
		public var zipTitle:String;
		public var zipURL:String;
		public var blogTitle:String;
		public var blogURL:String;
		public var embedHTML:String;
		
		
		public function DownloadVO(p_id:String="",
									p_category:String="",
									p_section:String="",
									p_title:String="",
									p_description:String="",
									p_fileTitle:String="",
									p_fileURL:String="",
									p_mxpTitle:String="",
									p_mxpURL:String="",
									p_zipTitle:String="",
									p_zipURL:String="",
									p_blogTitle:String="",
									p_blogURL:String="",
									p_embedHTML:String="")
		{
			//DebugWindow.debugHeader();
			//DebugWindow.debug("DownloadVO::constructor");
			//DebugWindow.debug("id: " + id);
			//DebugWindow.debug("category: " + category);
			//DebugWindow.debug("section: " + section);
			//DebugWindow.debug("title: " + title);
			
			__id 				= p_id;
			category			= p_category;
			section				= p_section;
			title				= p_title;
			description			= p_description;
			fileTitle			= p_fileTitle;
			fileURL				= p_fileURL;
			mxpTitle			= p_mxpTitle;
			mxpURL				= p_mxpURL;
			zipTitle			= p_zipTitle;
			zipURL				= p_zipURL;
			blogTitle			= p_blogTitle;
			blogURL				= p_blogURL;
			embedHTML			= p_embedHTML;
		}
		
		public function get id():String { return __id; }
		
		public function toString():String
		{
			var s:String = "";
			s += "[class DownloadVO ";
			s += "id=" + id;
			s += " category=" + category;
			s += " section=" + section;
			s += " title=" + title;
			s += " description=" + description;
			s += " fileTitle=" + fileTitle;
			s += " fileURL=" + fileURL;
			s += " mxpTitle=" + mxpTitle;
			s += " mxpURL=" + mxpURL;
			s += " zipTitle=" + zipTitle;
			s += " zipURL=" + zipURL;
			s += " blogTitle=" + blogTitle;
			s += " blogURL=" + blogURL;
			s += " embedHTML=" + embedHTML;
			s += " ]";
			return s;
		}
		
		public function toTransferObject():Object
		{
			var o:Object = {};
			o.id = id;
			o.category = category;
			o.section = section;
			o.title = title;
			o.description = description;
			o.fileTitle = fileTitle;
			o.fileURL = fileURL;
			o.mxpTitle = mxpTitle;
			o.mxpURL = mxpURL;
			o.zipTitle = zipTitle;
			o.zipURL = zipURL;
			o.blogTitle = blogTitle;
			o.blogURL = blogURL;
			o.embedHTML = embedHTML;
			
			return o;
		}
	}
}